XmVaCreateToggleButton(library call)

NAME
XmVaCreateToggleButton, XmVaCreateManagedToggleButton — A ToggleButton widget convenience creation functions.

SYNOPSIS

#include <Xm/ToggleB.h>

Widget XmVaCreateToggleButton(
Widget parent,
String name,
...);

Widget XmVaCreateManagedToggleButton(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a ToggleButtonGadget widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateToggleButton function is a convenience routine that calls XtCreateWidget.

The XmVaCreateToggleButton function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of ToggleButton and its associated resources, see XmToggleButton(3).

RETURN

Returns the ToggleButton widget ID.

RELATED

XmToggleButton(3), XmCreateToggleButton(3), XtCreateWidget(3), and XtCreateManagedWidget(3).